Package twisted :: Package internet :: Module default |
[frames | no frames]

## Module twisted.internet.default

Default reactor base classes, and a select() based reactor.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Classes
`_UnixWaker` | This class provides a simple interface to wake up the select() loop.
`_Waker` | This class provides a simple interface to wake up the select() loop.
`_Win32Waker` | I am a workaround for the lack of pipes on win32.
`PosixReactorBase` | A basis for reactors that use file descriptors.
`SelectReactor` | A select() based reactor - runs on all POSIX platforms and on Win32.

Function Summary
| ``install`()` Configure the twisted mainloop to be run using the select() reactor.
| ``win32select`(r, w, e, timeout)` Win32 select wrapper.

Variable Summary
`ConnectionFdescWentAway` | `_NO_FILEDESC` = `<twisted.internet.error.ConnectionFdescWe...`
`ConnectionFdescWentAway` | `_NO_FILENO` = `<twisted.internet.error.ConnectionFdescWent...`
`dict` | `reads` = `{<twisted.internet.default._UnixWaker instance a...`
`dict` | `writes` = `{}`

Function Details

### install() Configure the twisted mainloop to be run using the select() reactor.

### win32select(r, w, e, timeout=None) Win32 select wrapper.

Variable Details

    ### _NO_FILEDESC Type: `ConnectionFdescWentAway` Value:
        <twisted.internet.error.ConnectionFdescWentAway instance at 0x82fc28c>

    ### _NO_FILENO Type: `ConnectionFdescWentAway` Value:
        <twisted.internet.error.ConnectionFdescWentAway instance at 0x82f8ae4>

    ### reads Type: `dict` Value:
        {<twisted.internet.default._UnixWaker instance at 0x818cb64>: 1}

    ### writes Type: `dict` Value:
        {}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net